package fr.amapj.messagingcenter.miniproxy;

import fr.amapj.messagingcenter.miniproxy.core.MiniProxyClient;
import fr.amapj.messagingcenter.miniproxy.core.ServiceNotAvailableException;
import fr.amapj.messagingcenter.miniproxy.model.request.AddNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.DeleteNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.GetAllAllNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.GetAllNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.HasNewNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.LoadNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.response.AddNotificationResponse;
import fr.amapj.messagingcenter.miniproxy.model.response.DeleteNotificationResponse;
import fr.amapj.messagingcenter.miniproxy.model.response.GetAllAllNotificationResponse;
import fr.amapj.messagingcenter.miniproxy.model.response.GetAllNotificationResponse;
import fr.amapj.messagingcenter.miniproxy.model.response.HasNewNotificationResponse;
import fr.amapj.messagingcenter.miniproxy.model.response.LoadNotificationResponse;

public class TNProxyClient extends MiniProxyClient<TNMethodeName>
{ 
	
	public TNProxyClient(String key, String urlWebServer)
	{
		super(key, urlWebServer);
	}

	public AddNotificationResponse addNotification(AddNotificationRequest r) throws ServiceNotAvailableException 
	{
		return doCall(TNMethodeName.ADD_NOTIFICATION, r,AddNotificationResponse.class);		
	}
	
	public DeleteNotificationResponse deleteNotification(DeleteNotificationRequest r) throws ServiceNotAvailableException 
	{
		return doCall(TNMethodeName.DELETE_NOTIFICATION, r,DeleteNotificationResponse.class);		
	}
	
	public GetAllAllNotificationResponse getAllAllNotifications(GetAllAllNotificationRequest r) throws ServiceNotAvailableException 
	{
		return doCall(TNMethodeName.GET_ALL_ALL_NOTIFICATIONS, r,GetAllAllNotificationResponse.class);		
	}
	

	public GetAllNotificationResponse getAllNotifications(GetAllNotificationRequest r) throws ServiceNotAvailableException 
	{
		return doCall(TNMethodeName.GET_ALL_NOTIFICATIONS, r,GetAllNotificationResponse.class);		
	}


	public LoadNotificationResponse loadNotification(LoadNotificationRequest r) throws ServiceNotAvailableException 
	{
		return  doCall(TNMethodeName.LOAD_NOTIFICATION, r,LoadNotificationResponse.class);
	}
	
	public HasNewNotificationResponse hasNewNotification(HasNewNotificationRequest r) throws ServiceNotAvailableException 
	{
		return  doCall(TNMethodeName.HAS_NEW_NOTIFICATION, r,HasNewNotificationResponse.class);
	}
}
