package fr.amapj.messagingcenter.miniproxy;

import fr.amapj.messagingcenter.miniproxy.core.MiniProxyServer;
import fr.amapj.messagingcenter.miniproxy.model.request.AddNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.DeleteNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.GetAllAllNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.GetAllNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.HasNewNotificationRequest;
import fr.amapj.messagingcenter.miniproxy.model.request.LoadNotificationRequest;
import fr.amapj.messagingcenter.services.notificationservice.MessagingService;

public class TNProxyServer extends MiniProxyServer<TNMethodeName>
{	
	
	public TNProxyServer(String key)
	{
		super(key, TNMethodeName.class);
	}
	
	protected Object processServer(TNMethodeName method,Object request)
	{

		switch (method) 
		{
		case ADD_NOTIFICATION : return new MessagingService().addNotification( (AddNotificationRequest) request);	
		case DELETE_NOTIFICATION : return new MessagingService().deleteNotification( (DeleteNotificationRequest) request);
		case GET_ALL_ALL_NOTIFICATIONS: return new MessagingService().getAllAllNotifications( (GetAllAllNotificationRequest) request);
		case GET_ALL_NOTIFICATIONS: return new MessagingService().getAllNotifications( (GetAllNotificationRequest) request);	
		case LOAD_NOTIFICATION: return new MessagingService().loadNotification( (LoadNotificationRequest) request);
		case HAS_NEW_NOTIFICATION : return new MessagingService().hasNewNotification( (HasNewNotificationRequest) request);
		
		default : throw new RuntimeException();
		}
	}
	
	
	
	protected Class<?> findRequestClass(TNMethodeName method)
	{
		switch (method) 
		{
		case ADD_NOTIFICATION : return AddNotificationRequest.class;
		case DELETE_NOTIFICATION : return DeleteNotificationRequest.class;
		case GET_ALL_NOTIFICATIONS : return GetAllNotificationRequest.class;
		case GET_ALL_ALL_NOTIFICATIONS : return GetAllAllNotificationRequest.class;
		case LOAD_NOTIFICATION : return LoadNotificationRequest.class;
		case HAS_NEW_NOTIFICATION : return HasNewNotificationRequest.class;
		default : throw new RuntimeException();
		}
	}
}
