package fr.amapj.messagingcenter.miniproxy.core;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class BasicHttpClient 
{
	private String url;
	private HttpURLConnection connection;
	private InputStream is;
	private OutputStream os;
	private int connectTimeout;
	
	public BasicHttpClient(String url)
	{
		this(url,-1);
	}
	
	public BasicHttpClient(String url,int connectTimeout)
	{
		this.url = url;
		this.connectTimeout = connectTimeout;
		
	}
	
	public BasicHttpSerializer startWrite() throws IOException
	{
		// Openning connection
		URL url1 = new URL(url);
		connection = (HttpURLConnection) url1.openConnection();
		if (connectTimeout>=0)
		{
			connection.setConnectTimeout(connectTimeout);
		}
					
		connection.setRequestMethod("POST");
		connection.setDoOutput(true);
				
		os = connection.getOutputStream();
		
		BasicHttpSerializer bos = new BasicHttpSerializer(os);
		
		return bos;
	}
	
	public BasicHttpDeserializer startRead() throws IOException
	{
		os.flush();
		is = connection.getInputStream();
		
		BasicHttpDeserializer bis = new BasicHttpDeserializer(is);
		return bis;
	}
	
	public void end() throws IOException
	{
		is.close();
		os.close();
	}

}
