package fr.amapj.messagingcenter.miniproxy.core;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

abstract public class MiniProxyClient<T extends Enum<?>> 
{
	private final static Logger logger = LogManager.getLogger();
	
	private String key;
	private String urlWebServer;
	
	protected MiniProxyClient(String key,String urlWebServer)
	{
		this.key = key;
		this.urlWebServer = urlWebServer;
		
	}
	
	protected <RESPONSE> RESPONSE doCall(T method,Object request,Class<RESPONSE> responseClass) throws ServiceNotAvailableException 
	{
		try
		{ 
			logger.info("MiniProxy :  "+method);
			
			BasicHttpClient c = new BasicHttpClient(urlWebServer,10000);
			
			// Ecriture de la requete
			BasicHttpSerializer bos = c.startWrite();
			bos.writeString(key);
			bos.writeString(method.name());
					
			String str = MiniProxyGson.createGson().toJson(request);
			bos.writeGzipString(str);
			
			// Lecture de la réponse
			BasicHttpDeserializer bis = c.startRead();
			str = bis.readGzipString();
		
			// Terminaison
			c.end();
		
			return MiniProxyGson.createGson().fromJson(str,responseClass);
		}
		catch (Exception e) 
		{
			logger.warn("Erreur MiniProxy",e);
			throw new ServiceNotAvailableException();
		}
	}
}
