package fr.amapj.messagingcenter.miniproxy.model;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

import org.apache.commons.io.IOUtils;

public class NotificationTools 
{
	
	
	static public byte[] htmlToByte(String htmlContent)
	{
		try
		{
			ByteArrayOutputStream baos = new ByteArrayOutputStream();
			GZIPOutputStream os = new GZIPOutputStream(baos);
			os.write(htmlContent.getBytes("UTF-8"));
			os.close();
	
			return baos.toByteArray();   
		} 
		catch (IOException e)
		{
			throw new RuntimeException(e);
		}
	}
	
	
	/**
	 * Le contenu en clair est une String au format HTML
	 * Ce contenu est stocké sous la forme d'un byte[] avec une compression par GZIP 
	 */
	static public String byteToHtml(byte[] content)
	{
		try
		{
			ByteArrayInputStream bais = new ByteArrayInputStream(content);
			GZIPInputStream is = new GZIPInputStream(bais);
			
			ByteArrayOutputStream baos = new ByteArrayOutputStream();
			IOUtils.copy(is, baos);
			
			baos.close();
			is.close();
	
			return new String(baos.toByteArray(),"UTF-8");   
		} 
		catch (IOException e)
		{
			throw new RuntimeException(e);
		}
	}
	
}
